<!DOCTYPE html>
<html>

<head>
  <title>Explicacion</title>
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>

<body>
  <div class="container">
    <h1>Explicacion Manipluando objetos</h1>
    <p>Vamos a poner un poco de manipulacion a los tags encontrados en <a
        href="https://www.w3schools.com/html/">W3School</a>
    </p>
    <p> En este primero punto ya esta agregado un style para los links</p>
    <p>Supongamos que queresmos hacer el siguiente ejercicio</p>
    <p>Tenemos un control de tipo DIV que tiene un ancho determinado. Lo que deseo hacer es
      <ol type="1">
        <li>Tener un textbox donde ingreso la cantidad de pixels que quiero que el div tenga</li>
        <li>Tener un boton que diga Aumentar y otro Achicar</li>
        <li>Al presionar el boton, tomar el valor que dice el textbox y cambiar el tamaño del div en lo que informa el
          mismo</li>
        <li>Cuando cambia el boton debe informar en un label el tamaño total del div.</li>
      </ol>
    </p>
    <hr>
    <p>
      Antes de comenzar para que quede todo un poco mas lindo y que sea mas simple, voy a añadir <a
        href="https://getbootstrap.com/docs/4.4/getting-started/introduction/">Bootstrap</a>
      Agrego el tag link referenciando al CDN.
      <xmp>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          crossorigin="anonymous">
      </xmp>
      <br>Con solo agregar el link del css se puede utilizar el framwork casi en su totalidad y ver todo un poco mas
      atractivo sin necesidad de crear todo de cero
      <br>Si quieren que sea un poco mas facil el Visual Studio Code pueden instalar el HTML CSS Suport del market place

    </p>
    <p>

      El primer punto es crear la estructura HTML que me ha pedido el ejemplo.
      Para eso necetio
      <xmp><button></button></xmp>
      <xmp><input type="text"></xmp>
      <xmp><label></xmp>
      Tambien voy a agregar un objeto div de clase progress para ir cambiando el width del mismo, asi podre agrandar o
      Achicar usando javascript
    </p>

    <hr>
    <div class="form-group">
      <div class="progress">
        <div class="progress-bar progress-bar-striped" role="progressbar" style="width: 50px" aria-valuenow="10"
          aria-valuemin="0" aria-valuemax="100" id="barra"></div>
      </div>
    </div>
    <div class="form-group">
      <label id="lblTotal">Ya tiene 50 px!</label>
    </div>
    <div class="form-group">
      <label>Ingrese px a Modfiicar</label>
      <input type="text">
    </div>
    <div class="form-group">
      <button id="btnAgrandar" class="btn btn-primary btn-danger" onclick="Agrandar()"> Agrandar</button>
      <button id="btnAchicar" onclick="Achicar()" class="btn btn-primary btn-danger"> Achicar</button>
    </div>
    <hr>
    <div>
      <a href="1-Manipular-1.html" class="btn btn-primary btn-sm">Anterior</a>
      <a href="1-Manipular-3.html" class="btn btn-primary btn-sm">Siguiente</a>

    </div>
</body>

</html>